mod cli;
mod cli_net;
mod cli_error;

use clap::Parser;
use cli::Cli;
use cli_net::try_send;
use anyhow::Result;

#[tokio::main]
async fn main() -> Result<()>{
    let cli = Cli::parse();
    try_send(cli).await?;
    Ok(())
}
